static void
rip_init_dispatch_ids()
{
    rip_id_AMPER =	rb_intern("on__AMPER");
    rip_id_AND =	rb_intern("on__AND");
    rip_id_ANDAND =	rb_intern("on__ANDAND");
    rip_id_ANDAND_ASSIGN =	rb_intern("on__ANDAND_ASSIGN");
    rip_id_AND_ASSIGN =	rb_intern("on__AND_ASSIGN");
    rip_id_AREF =	rb_intern("on__AREF");
    rip_id_ASET =	rb_intern("on__ASET");
    rip_id_ASSIGN =	rb_intern("on__ASSIGN");
    rip_id_ASSOC =	rb_intern("on__ASSOC");
    rip_id_AT =	rb_intern("on__AT");
    rip_id_BACKQUOTE =	rb_intern("on__BACKQUOTE");
    rip_id_BACKSLASH =	rb_intern("on__BACKSLASH");
    rip_id_BACK_REF =	rb_intern("on__BACK_REF");
    rip_id_BANG =	rb_intern("on__BANG");
    rip_id_BEGIN =	rb_intern("on__BEGIN");
    rip_id_CHAR =	rb_intern("on__CHAR");
    rip_id_CMP =	rb_intern("on__CMP");
    rip_id_CMP_ASSIGN =	rb_intern("on__CMP_ASSIGN");
    rip_id_COLON =	rb_intern("on__COLON");
    rip_id_COLON2 =	rb_intern("on__COLON2");
    rip_id_COLON3 =	rb_intern("on__COLON3");
    rip_id_COMMA =	rb_intern("on__COMMA");
    rip_id_CONSTANT =	rb_intern("on__CONSTANT");
    rip_id_CVAR =	rb_intern("on__CVAR");
    rip_id_DOLLER =	rb_intern("on__DOLLER");
    rip_id_DOT =	rb_intern("on__DOT");
    rip_id_DOT2 =	rb_intern("on__DOT2");
    rip_id_DOT3 =	rb_intern("on__DOT3");
    rip_id_END =	rb_intern("on__END");
    rip_id_EQ =	rb_intern("on__EQ");
    rip_id_EQQ =	rb_intern("on__EQQ");
    rip_id_FID =	rb_intern("on__FID");
    rip_id_GEQ =	rb_intern("on__GEQ");
    rip_id_GT =	rb_intern("on__GT");
    rip_id_GVAR =	rb_intern("on__GVAR");
    rip_id_HAT =	rb_intern("on__HAT");
    rip_id_HAT_ASSIGN =	rb_intern("on__HAT_ASSIGN");
    rip_id_IDENTIFIER =	rb_intern("on__IDENTIFIER");
    rip_id_INTEGER_10 =	rb_intern("on__INTEGER_10");
    rip_id_INTEGER_16 =	rb_intern("on__INTEGER_16");
    rip_id_INTEGER_2 =	rb_intern("on__INTEGER_2");
    rip_id_INTEGER_8 =	rb_intern("on__INTEGER_8");
    rip_id_IVAR =	rb_intern("on__IVAR");
    rip_id_KEYWORD =	rb_intern("on__KEYWORD");
    rip_id_LBRACE =	rb_intern("on__LBRACE");
    rip_id_LBRACE_ARG =	rb_intern("on__LBRACE_ARG");
    rip_id_LBRACKET =	rb_intern("on__LBRACKET");
    rip_id_LPAREN =	rb_intern("on__LPAREN");
    rip_id_LPAREN_ARG =	rb_intern("on__LPAREN_ARG");
    rip_id_LSHIFT =	rb_intern("on__LSHIFT");
    rip_id_LT =	rb_intern("on__LT");
    rip_id_MATCH =	rb_intern("on__MATCH");
    rip_id_MINUS =	rb_intern("on__MINUS");
    rip_id_MINUS_ASSIGN =	rb_intern("on__MINUS_ASSIGN");
    rip_id_MUL =	rb_intern("on__MUL");
    rip_id_MUL_ASSIGN =	rb_intern("on__MUL_ASSIGN");
    rip_id_NEQ =	rb_intern("on__NEQ");
    rip_id_NMATCH =	rb_intern("on__NMATCH");
    rip_id_NTH_REF =	rb_intern("on__NTH_REF");
    rip_id_OP =	rb_intern("on__OP");
    rip_id_OR =	rb_intern("on__OR");
    rip_id_OROR =	rb_intern("on__OROR");
    rip_id_OROR_ASSIGN =	rb_intern("on__OROR_ASSIGN");
    rip_id_OR_ASSIGN =	rb_intern("on__OR_ASSIGN");
    rip_id_PERCENT =	rb_intern("on__PERCENT");
    rip_id_PERCENT_ASSIGN =	rb_intern("on__PERCENT_ASSIGN");
    rip_id_PLUS =	rb_intern("on__PLUS");
    rip_id_PLUS_ASSIGN =	rb_intern("on__PLUS_ASSIGN");
    rip_id_POW =	rb_intern("on__POW");
    rip_id_POW_ASSIGN =	rb_intern("on__POW_ASSIGN");
    rip_id_Q =	rb_intern("on__Q");
    rip_id_RBRACE =	rb_intern("on__RBRACE");
    rip_id_RBRACKET =	rb_intern("on__RBRACKET");
    rip_id_RPAREN =	rb_intern("on__RPAREN");
    rip_id_RSHIFT =	rb_intern("on__RSHIFT");
    rip_id_RSHIFT_ASSIGN =	rb_intern("on__RSHIFT_ASSIGN");
    rip_id_SEMICOLON =	rb_intern("on__SEMICOLON");
    rip_id_SLASH =	rb_intern("on__SLASH");
    rip_id_SLASH_ASSIGN =	rb_intern("on__SLASH_ASSIGN");
    rip_id_STAR =	rb_intern("on__STAR");
    rip_id_SYMBEG =	rb_intern("on__SYMBEG");
    rip_id_TILDE =	rb_intern("on__TILDE");
    rip_id_UMINUS =	rb_intern("on__UMINUS");
    rip_id_UPLUS =	rb_intern("on__UPLUS");
    rip_id_add_eval_string =	rb_intern("on__add_eval_string");
    rip_id_add_space =	rb_intern("on__add_space");
    rip_id_add_string =	rb_intern("on__add_string");
    rip_id_add_word =	rb_intern("on__add_word");
    rip_id_alias =	rb_intern("on__alias");
    rip_id_ambiguous_argument =	rb_intern("on__ambiguous_argument");
    rip_id_and =	rb_intern("on__and");
    rip_id_aref =	rb_intern("on__aref");
    rip_id_argadd =	rb_intern("on__argadd");
    rip_id_argadd_args =	rb_intern("on__argadd_args");
    rip_id_argadd_assocs =	rb_intern("on__argadd_assocs");
    rip_id_argadd_block =	rb_intern("on__argadd_block");
    rip_id_argadd_opt =	rb_intern("on__argadd_opt");
    rip_id_argadd_rest =	rb_intern("on__argadd_rest");
    rip_id_argadd_star =	rb_intern("on__argadd_star");
    rip_id_argadd_value =	rb_intern("on__argadd_value");
    rip_id_argstart =	rb_intern("on__argstart");
    rip_id_argvoid =	rb_intern("on__argvoid");
    rip_id_assign =	rb_intern("on__assign");
    rip_id_assignable =	rb_intern("on__assignable");
    rip_id_assoc =	rb_intern("on__assoc");
    rip_id_assoc_add =	rb_intern("on__assoc_add");
    rip_id_assoc_list =	rb_intern("on__assoc_list");
    rip_id_backref_error =	rb_intern("on__backref_error");
    rip_id_begin =	rb_intern("on__begin");
    rip_id_begin_block =	rb_intern("on__begin_block");
    rip_id_begin_brace =	rb_intern("on__begin_brace");
    rip_id_begin_do =	rb_intern("on__begin_do");
    rip_id_block =	rb_intern("on__block");
    rip_id_blockcall =	rb_intern("on__blockcall");
    rip_id_blockvar =	rb_intern("on__blockvar");
    rip_id_break =	rb_intern("on__break");
    rip_id_call =	rb_intern("on__call");
    rip_id_case =	rb_intern("on__case");
    rip_id_class =	rb_intern("on__class");
    rip_id_comment =	rb_intern("on__comment");
    rip_id_comment_start =	rb_intern("on__comment_start");
    rip_id_condexpr =	rb_intern("on__condexpr");
    rip_id_const_get =	rb_intern("on__const_get");
    rip_id_def =	rb_intern("on__def");
    rip_id_defined =	rb_intern("on__defined");
    rip_id_else =	rb_intern("on__else");
    rip_id_elsif =	rb_intern("on__elsif");
    rip_id_embdoc =	rb_intern("on__embdoc");
    rip_id_embdoc_begin =	rb_intern("on__embdoc_begin");
    rip_id_embdoc_begin_label =	rb_intern("on__embdoc_begin_label");
    rip_id_embdoc_end =	rb_intern("on__embdoc_end");
    rip_id_embdoc_end_label =	rb_intern("on__embdoc_end_label");
    rip_id_end_brace =	rb_intern("on__end_brace");
    rip_id_end_do =	rb_intern("on__end_do");
    rip_id_ensure =	rb_intern("on__ensure");
    rip_id_escaped_newline =	rb_intern("on__escaped_newline");
    rip_id_eval_string_begin =	rb_intern("on__eval_string_begin");
    rip_id_eval_string_end =	rb_intern("on__eval_string_end");
    rip_id_fcall =	rb_intern("on__fcall");
    rip_id_for =	rb_intern("on__for");
    rip_id_here_document_end =	rb_intern("on__here_document_end");
    rip_id_here_document_eos =	rb_intern("on__here_document_eos");
    rip_id_here_document_eos_term =	rb_intern("on__here_document_eos_term");
    rip_id_if =	rb_intern("on__if");
    rip_id_if_mod =	rb_intern("on__if_mod");
    rip_id_ignored_newline =	rb_intern("on__ignored_newline");
    rip_id_infix =	rb_intern("on__infix");
    rip_id_is_dyna_regexp =	rb_intern("on__is_dyna_regexp");
    rip_id_is_once_regexp =	rb_intern("on__is_once_regexp");
    rip_id_is_xstring =	rb_intern("on__is_xstring");
    rip_id_lhs_aset =	rb_intern("on__lhs_aset");
    rip_id_lhs_attrset_colon =	rb_intern("on__lhs_attrset_colon");
    rip_id_lhs_attrset_dot =	rb_intern("on__lhs_attrset_dot");
    rip_id_lhsadd_value =	rb_intern("on__lhsadd_value");
    rip_id_list_add =	rb_intern("on__list_add");
    rip_id_list_start =	rb_intern("on__list_start");
    rip_id_local_count =	rb_intern("on__local_count");
    rip_id_local_pop =	rb_intern("on__local_pop");
    rip_id_local_push =	rb_intern("on__local_push");
    rip_id_massign =	rb_intern("on__massign");
    rip_id_mlhs_add =	rb_intern("on__mlhs_add");
    rip_id_mlhs_add_star =	rb_intern("on__mlhs_add_star");
    rip_id_mlhs_aset =	rb_intern("on__mlhs_aset");
    rip_id_mlhs_attrset_colon =	rb_intern("on__mlhs_attrset_colon");
    rip_id_mlhs_attrset_dot =	rb_intern("on__mlhs_attrset_dot");
    rip_id_mlhs_paren =	rb_intern("on__mlhs_paren");
    rip_id_mlhs_star =	rb_intern("on__mlhs_star");
    rip_id_mlhs_start =	rb_intern("on__mlhs_start");
    rip_id_module =	rb_intern("on__module");
    rip_id_name =	rb_intern("on__name");
    rip_id_new_array =	rb_intern("on__new_array");
    rip_id_new_hash =	rb_intern("on__new_hash");
    rip_id_new_here_document =	rb_intern("on__new_here_document");
    rip_id_new_regexp =	rb_intern("on__new_regexp");
    rip_id_new_string =	rb_intern("on__new_string");
    rip_id_new_words =	rb_intern("on__new_words");
    rip_id_new_xstring =	rb_intern("on__new_xstring");
    rip_id_newline =	rb_intern("on__newline");
    rip_id_next =	rb_intern("on__next");
    rip_id_not =	rb_intern("on__not");
    rip_id_notop =	rb_intern("on__notop");
    rip_id_opaset =	rb_intern("on__opaset");
    rip_id_opassign =	rb_intern("on__opassign");
    rip_id_opcallassign =	rb_intern("on__opcallassign");
    rip_id_or =	rb_intern("on__or");
    rip_id_paren =	rb_intern("on__paren");
    rip_id_redo =	rb_intern("on__redo");
    rip_id_regexp_end =	rb_intern("on__regexp_end");
    rip_id_regexp_options =	rb_intern("on__regexp_options");
    rip_id_rescue =	rb_intern("on__rescue");
    rip_id_rescue_else =	rb_intern("on__rescue_else");
    rip_id_rescue_mod =	rb_intern("on__rescue_mod");
    rip_id_retry =	rb_intern("on__retry");
    rip_id_return =	rb_intern("on__return");
    rip_id_scan =	rb_intern("on__scan");
    rip_id_sclass =	rb_intern("on__sclass");
    rip_id_sdef =	rb_intern("on__sdef");
    rip_id_set_line =	rb_intern("on__set_line");
    rip_id_space =	rb_intern("on__space");
    rip_id_string_add_dstr =	rb_intern("on__string_add_dstr");
    rip_id_string_concat =	rb_intern("on__string_concat");
    rip_id_string_end =	rb_intern("on__string_end");
    rip_id_super =	rb_intern("on__super");
    rip_id_symbol =	rb_intern("on__symbol");
    rip_id_toplevel_const_get =	rb_intern("on__toplevel_const_get");
    rip_id_unary =	rb_intern("on__unary");
    rip_id_undef =	rb_intern("on__undef");
    rip_id_unless =	rb_intern("on__unless");
    rip_id_unless_mod =	rb_intern("on__unless_mod");
    rip_id_until =	rb_intern("on__until");
    rip_id_until_mod =	rb_intern("on__until_mod");
    rip_id_varcall =	rb_intern("on__varcall");
    rip_id_varref =	rb_intern("on__varref");
    rip_id_when =	rb_intern("on__when");
    rip_id_while =	rb_intern("on__while");
    rip_id_while_mod =	rb_intern("on__while_mod");
    rip_id_word_space =	rb_intern("on__word_space");
    rip_id_words_end =	rb_intern("on__words_end");
    rip_id_yield =	rb_intern("on__yield");
}
